Cyberduck Mountain Duck CLI

#7820 closed defect (fixed)

Invalidation fails

Reported by: max Owned by: yla
Priority: normal Milestone: 4.4.4
Component: cloudfront Version: 4.4.3
Severity: normal Keywords: CloudFront invaliadation
Cc: Architecture: Intel
Platform: Windows Vista

Description

I use CyberDuck to issue invalidation requests for files in an Amazon CloudFront HTTP CDN.

I recently noticed that since I upgraded to v4.4 (and until today I have used the latest version from "Help>Check for Update"), the requests I issued haven't shown up in the "Invalidations" list which I can see if I open the Amazon Web Services Console in a web browser and open the relevant distribution's Distribution Settings.

I suspect that since I upgraded CyberDuck my invalidation requests don't appear in this list because they haven't worked for some reason.

I rolled back to CyberDuck v4.3.1 (by downloading the old installer and letting it replace the currently installed version) and issued a new invalidation request, which did have the desired effect - and showed up in the list in Amazon Web Services Console.

Fist time posting here, hope I've filled this in correctly. I couldn't find anything about this issue in existing tickets, on the help pages or on the forum.

When I open View>Toggle Log Drawer, I see an empty log.

Attachments (1)

AWS console.png (62.9 KB) - added by max on Feb 27, 2014 at 1:52:54 AM.
Screenshot showing dates of invalidation requests - nothing since I upgraded to v4.4. The one from today is after rolling back to v4.3.1

Download all attachments as: .zip

Change History (6)

Changed on Feb 27, 2014 at 1:52:54 AM by max

Screenshot showing dates of invalidation requests - nothing since I upgraded to v4.4. The one from today is after rolling back to v4.3.1

comment:1 Changed on Feb 27, 2014 at 7:02:58 AM by dkocher

  • Milestone set to 4.4.4
  • Owner changed from dkocher to yla

comment:2 Changed on Feb 27, 2014 at 8:10:07 PM by dkocher

  • Summary changed from Amazon CloudFront CDN invalidation fails in v4.4 but succeeds in v4.3.1 to Invalidation fails

comment:3 Changed on Mar 26, 2014 at 12:31:00 PM by dkocher

I can replicate the issue.

comment:4 Changed on Mar 26, 2014 at 12:31:32 PM by dkocher

2014-03-26 13:30:29,537 [background-1] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
java.lang.NullPointerException
	at cli.Ch.Cyberduck.Ui.Controller.InfoController$InvalidateObjectsBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:159)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:159)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:937)

comment:5 Changed on Mar 26, 2014 at 12:33:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14429.

Note: See TracTickets for help on using tickets.
swiss made software